Bug 185 - Provide aliases list
Summary: Provide aliases list
Status: RESOLVED FIXED
Alias: None
Product: ZeXtras
Classification: Unclassified
Component: ZxMobile (show other bugs)
Version: 2.2.1
Hardware: Virtual Infrastructure - VMWare Ubuntu 12 - 64 bit
: Normal enhancement
Assignee: ZeXtras Bugzilla Admin
QA Contact:
URL:
Depends on:
Blocks:
 
Reported: 2016-02-01 03:50 CET by NiKo
Modified: 2016-04-28 17:19 CEST (History)
5 users (show)

See Also:
Browser: ---
Zimlet Chat version: ---
Zimbra Version: 8.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description NiKo 2016-02-01 03:50:10 CET
Hello,

According the ActiveSync technical documentation, it seems it's possible to provide the list of accounts the user is allowed to use.

My e-mail client (Nine for Android) is able to list these accounts but it doesn't receive them since ZxMobile doesn't provide them.

Would it be possible for ZxMobile to provide the list of accounts (ie. aliases) configured for the user so that we can choose which sender to use ?

Thanks
Regards
Comment 1 Jay 2016-02-03 11:46:26 CET
Can you link the documentation you are referring to?

Since zextras 2.2.0 the server is sending all aliases of the account during initial synchronization phase, so the client _could_ support multiple account if it wanted, the question is, how nine read which accounts are available?
Comment 2 NiKo 2016-02-04 07:23:37 CET
Hello,

The doc is the MS AS tech doc MS-ASCMD.pdf (http://download.microsoft.com/download/5/D/D/5DD33FDF-91F5-496D-9884-0A0B0EE698BB/Exchange_Protocols.zip)

According this doc, several <EmailAddresses> tags can be set under the <Account> tag.

However, Zextras only sets one <EmailAddresses>. I did a simple test :

1. Create a new account account@domain.tls
2. Create an alias to this account : alias@domain.tld
3. Setup the account on mobile phone

The Zextras debug log shows the alias is not provided to the phone :

Mobile Request :

<n1:Settings xmlns:n1="Settings">
  <n1:UserInformation>
    <n1:Get />
  </n1:UserInformation>
</n1:Settings>


Zextras response :

<n1:Settings xmlns:n1="Settings">
  <n1:Status>1</n1:Status>
  <n1:UserInformation>
    <n1:Status>1</n1:Status>
    <n1:Get>
      <n1:Accounts>
        <n1:Account>
          <n1:AccountId>1bf42b5c-d6fd-4570-b4e9-24c053043343</n1:AccountId>
          <n1:SendDisabled>0</n1:SendDisabled>
          <n1:EmailAddresses>
            <n1:PrimarySmtpAddress>account@domain.tld</n1:PrimarySmtpAddress>
          </n1:EmailAddresses>
        </n1:Account>
      </n1:Accounts>
    </n1:Get>
  </n1:UserInformation>
</n1:Settings>


In the Zextras response, there is no alias@domain.tld

Thanks
Regards
Comment 3 Jay 2016-02-04 09:41:53 CET
You are right, nothing is returned for simple aliases when it should, most likely this bug will be fixed in release 2.2.3
Comment 4 Cine 2016-03-17 13:21:42 CET
Fixed in ZeXtras Suite 2.2.3
Comment 5 ZeXtras Bugzilla Admin 2016-03-20 16:46:16 CET
Reopened for further investigations after Kallisti's report:
https://forums.zextras.com/zxmobile/1463-aliases-wrong-domain.html
Comment 6 Cine 2016-04-22 09:59:08 CEST
"Wrong domain" bug fixed in ZeXtras Suite 2.2.4.

Further improvements to this feature have been added as well - now both aliases and addresses for which the "send as" right has been granted are properly shown.
Comment 7 Ajcody 2016-04-28 17:19:31 CEST
This is a notable improvement, I don't see any updates in the wiki pages though to point out this very nice feature. Do we need to state clients that will support this? Is it just Nine?

Also, is the next step to provide 'persona' support? That has been asked about in various channels many times.